cURL
curl --request PATCH \
--url https://cockroachlabs.cloud/api/scim/v2/Groups/{id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"Operations":[{"op":"replace","path":"displayName","value":"Updated Group Name"},{"op":"replace","path":"externalId","value":"ext-123"},{"op":"remove","path":"members"},{"op":"add","path":"externalId","value":"new-external-id"},{"op":"add","path":"members","value":[{"value":"45a35c27-23d3-4d03-c4c5-9043c09e7175"}]}],"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"]}'{
"displayName": "<string>",
"id": "<string>",
"schemas": [
"<string>"
],
"externalId": "<string>",
"members": [
{
"display": "<string>",
"ref": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"meta": {
"created": "<string>",
"lastModified": "<string>",
"location": "<string>",
"resourceType": "<string>"
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Apply a sequence of operations to modify attributes of a SCIM Group resource. Supports ‘add’, ‘remove’, and ‘replace’ operations per RFC 7644 Section 3.5.2. Operations are applied atomically — if any operation fails, no changes are applied. The request body must include the ‘schemas’ field set to ‘urn:ietf:params:scim:api:messages:2.0:PatchOp’.
Can be used by the following roles assigned at the organization scope:
- ORG_ADMIN
PATCH
/
api
/
scim
/
v2
/
Groups
/
{id}
cURL
curl --request PATCH \
--url https://cockroachlabs.cloud/api/scim/v2/Groups/{id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"Operations":[{"op":"replace","path":"displayName","value":"Updated Group Name"},{"op":"replace","path":"externalId","value":"ext-123"},{"op":"remove","path":"members"},{"op":"add","path":"externalId","value":"new-external-id"},{"op":"add","path":"members","value":[{"value":"45a35c27-23d3-4d03-c4c5-9043c09e7175"}]}],"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"]}'{
"displayName": "<string>",
"id": "<string>",
"schemas": [
"<string>"
],
"externalId": "<string>",
"members": [
{
"display": "<string>",
"ref": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"meta": {
"created": "<string>",
"lastModified": "<string>",
"location": "<string>",
"resourceType": "<string>"
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json

